Loading...
Searching...
No Matches
Dune::TypeTree::SimpleLeafNodeTransformation< SourceNode, Transformation, TransformedNode > Struct Template Reference
dune-typetree » Transformation

`#include <dune/typetree/simpletransformationdescriptors.hh>`

## Public Types

typedef TransformedNode | transformed_type
typedef std::shared_ptr< transformed_type > | transformed_storage_type

## Static Public Member Functions

static transformed_type | transform (const SourceNode &s, const Transformation &t)
static transformed_storage_type | transform_storage (std::shared_ptr< const SourceNode > s, const Transformation &t)

## Static Public Attributes

static const bool | recursive = false

## Member Typedef Documentation

## transformed_storage_type

template<typename SourceNode, typename Transformation, typename TransformedNode>

typedef std::shared_ptr<transformed_type> Dune::TypeTree::SimpleLeafNodeTransformation< SourceNode, Transformation, TransformedNode >::transformed_storage_type

## transformed_type

template<typename SourceNode, typename Transformation, typename TransformedNode>

typedef TransformedNode Dune::TypeTree::SimpleLeafNodeTransformation< SourceNode, Transformation, TransformedNode >::transformed_type

## Member Function Documentation

## transform()

template<typename SourceNode, typename Transformation, typename TransformedNode>

transformed_type Dune::TypeTree::SimpleLeafNodeTransformation< SourceNode, Transformation, TransformedNode >::transform | ( | const SourceNode & | s,
|  | const Transformation & | t )

inline static

## transform_storage()

template<typename SourceNode, typename Transformation, typename TransformedNode>

transformed_storage_type Dune::TypeTree::SimpleLeafNodeTransformation< SourceNode, Transformation, TransformedNode >::transform_storage | ( | std::shared_ptr< const SourceNode > | s,
|  | const Transformation & | t )

inline static

## Member Data Documentation

## recursive

template<typename SourceNode, typename Transformation, typename TransformedNode>

const bool Dune::TypeTree::SimpleLeafNodeTransformation< SourceNode, Transformation, TransformedNode >::recursive = false

static

The documentation for this struct was generated from the following file:

- simpletransformationdescriptors.hh